Loading...
Searching...
No Matches
mongocxx::v_noabi::text_options Class Reference

`#include <mongocxx/v1/text_options.hpp>`

## Description

Options related to text queries for Queryable Encryption.

Supported fields include:

- case_sensitive ("caseSensitive")
- diacritic_sensitive ("diacriticSensitive")
- prefix_opts ("prefix")
- suffix_opts ("suffix")
- substring_opts ("substring")

See also
  - Client Side Encryption (MongoDB Specifications)
  - Encrypted Fields and Enabled Queries (MongoDB Manual)

Attention
  This feature is experimental! It is not ready for use!

## Classes

class | prefix
| Options related to prefix queries in Queryable Encryption. More...
class | substring
| Options related to substring queries in Queryable Encryption. More...
class | suffix
| Options related to suffix queries in Queryable Encryption. More...

## Public Member Functions

| text_options ()
| Default initialization.
| text_options (text_options &&other) noexcept
| Move constructor.
| text_options (text_options const &other)
| Copy construction.
| ~text_options ()
| Destroy this object.
bsoncxx::v1::stdx::optional< bool > | case_sensitive () const
| Return the current "caseSensitive" field.
text_options & | case_sensitive (bool v)
| Set the "caseSensitive" field.
bsoncxx::v1::stdx::optional< bool > | diacritic_sensitive () const
| Return the current "diacriticSensitive" field.
text_options & | diacritic_sensitive (bool v)
| Set the "diacriticSensitive" field.
text_options & | operator= (text_options &&other) noexcept
| Move assignment.
text_options & | operator= (text_options const &other)
| Copy assignment.
bsoncxx::v1::stdx::optional< prefix > | prefix_opts () const
| Return the current "prefix" field.
text_options & | prefix_opts (prefix v)
| Set the "prefix" field.
bsoncxx::v1::stdx::optional< substring > | substring_opts () const
| Return the current "substring" field.
text_options & | substring_opts (substring v)
| Set the "substring" field.
bsoncxx::v1::stdx::optional< suffix > | suffix_opts () const
| Return the current "suffix" field.
text_options & | suffix_opts (suffix v)
| Set the "suffix" field.

## Constructor & Destructor Documentation

## ~text_options()

mongocxx::v1::text_options::~text_options | ( |  | ) |

Destroy this object.

Warning
  Invalidates all associated views.

## text_options() [1/3]

mongocxx::v1::text_options::text_options | ( | text_options && | other | ) |

noexcept

Move constructor.

Postconditions:
  - other is in an assign-or-destroy-only state.

## text_options() [2/3]

mongocxx::v1::text_options::text_options | ( | text_options const & | other | ) |

Copy construction.

## text_options() [3/3]

mongocxx::v1::text_options::text_options | ( |  | ) |

Default initialization.

Postconditions:
  - All supported fields are "unset" or zero-initialized.

## Member Function Documentation

## case_sensitive() [1/2]

bsoncxx::v1::stdx::optional< bool > mongocxx::v1::text_options::case_sensitive | ( |  | ) | const

Return the current "caseSensitive" field.

## case_sensitive() [2/2]

text_options & mongocxx::v1::text_options::case_sensitive | ( | bool | v | ) |

Set the "caseSensitive" field.

## diacritic_sensitive() [1/2]

bsoncxx::v1::stdx::optional< bool > mongocxx::v1::text_options::diacritic_sensitive | ( |  | ) | const

Return the current "diacriticSensitive" field.

## diacritic_sensitive() [2/2]

text_options & mongocxx::v1::text_options::diacritic_sensitive | ( | bool | v | ) |

Set the "diacriticSensitive" field.

## operator=() [1/2]

text_options & mongocxx::v1::text_options::operator= | ( | text_options && | other | ) |

noexcept

Move assignment.

Postconditions:
  - other is in an assign-or-destroy-only state.

## operator=() [2/2]

text_options & mongocxx::v1::text_options::operator= | ( | text_options const & | other | ) |

Copy assignment.

## prefix_opts() [1/2]

bsoncxx::v1::stdx::optional< prefix > mongocxx::v1::text_options::prefix_opts | ( |  | ) | const

Return the current "prefix" field.

## prefix_opts() [2/2]

text_options & mongocxx::v1::text_options::prefix_opts | ( | prefix | v | ) |

Set the "prefix" field.

## substring_opts() [1/2]

bsoncxx::v1::stdx::optional< substring > mongocxx::v1::text_options::substring_opts | ( |  | ) | const

Return the current "substring" field.

## substring_opts() [2/2]

text_options & mongocxx::v1::text_options::substring_opts | ( | substring | v | ) |

Set the "substring" field.

## suffix_opts() [1/2]

bsoncxx::v1::stdx::optional< suffix > mongocxx::v1::text_options::suffix_opts | ( |  | ) | const

Return the current "suffix" field.

## suffix_opts() [2/2]

text_options & mongocxx::v1::text_options::suffix_opts | ( | suffix | v | ) |

Set the "suffix" field.

The documentation for this class was generated from the following file:

- mongocxx/v1/text_options.hpp